- name: Determine uid and guid
  ansible.builtin.include_tasks: set_uid_and_gid.yml

- name: Ensure podman network is present
  containers.podman.podman_network:
    name: "{{ item }}"
    internal: false
    ip_range: "{{ net_ip_range | default(default_podman_network.ip_range) }}"
    subnet: "{{ net_subnet | default(default_podman_network.subnet) }}"
    gateway: "{{ net_gateway | default(default_podman_network.gateway) }}"
    recreate: false
    state: present
  become_user: "{{ app_user }}"
  environment:
    PATH: "{{ homebrew_bin_dir }}:{{ ansible_env.PATH }}"
    XDG_RUNTIME_DIR: "{{ xdg_runtime_dir }}"
  with_items: "{{ networks }}"
